﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Chapter31
{
    public partial class DownloadForm : Form
    {
        public DownloadForm()
        {
            InitializeComponent();
        }

        private async void downloadButton_Click(object sender, EventArgs e)
        {
            var webClient = new WebClient();

            string html = await webClient.DownloadStringTaskAsync("http://www.bing.com");

            // The asynchronous method is resumed after the awaited task completes
            // and continues its execution on the original SynchronizationContext.
            // Hence, we can safely update the UI here.
            txtHtml.Text = html; // In WPF, one could use WebBrowser.NavigateToString too.
        }
    }
}
